{
    attributes = (
        {
            columnName = C_SECTION_CNU; 
            externalType = VARCHAR2; 
            name = cSectionCnu; 
            valueClassName = NSString; 
            width = 2; 
        }, 
        {
            allowsNull = Y; 
            columnName = C_SOUS_SECTION_CNU; 
            externalType = VARCHAR2; 
            name = cSousSectionCnu; 
            valueClassName = NSString; 
            width = 2; 
        }, 
        {
            columnName = D_CREATION; 
            externalType = DATE; 
            name = dCreation; 
            valueClassName = NSCalendarDate; 
        }, 
        {
            columnName = D_MODIFICATION; 
            externalType = DATE; 
            name = dModification; 
            valueClassName = NSCalendarDate; 
        }, 
        {
            allowsNull = Y; 
            columnName = GROUPE_CNU; 
            externalType = VARCHAR2; 
            name = groupeCnu; 
            valueClassName = NSString; 
            width = 2; 
        }, 
        {
            allowsNull = Y; 
            columnName = LC_SECTION_CNU; 
            externalType = VARCHAR2; 
            name = lcSectionCnu; 
            valueClassName = NSString; 
            width = 20; 
        }, 
        {
            allowsNull = Y; 
            columnName = LL_SECTION_CNU; 
            externalType = VARCHAR2; 
            name = llSectionCnu; 
            valueClassName = NSString; 
            width = 150; 
        }, 
        {
            columnName = NO_CNU; 
            externalType = NUMBER; 
            name = noCnu; 
            precision = 3; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = TEM_COMPOSEE; 
            externalType = VARCHAR2; 
            name = temComposee; 
            valueClassName = NSString; 
            width = 1; 
        }, 
        {
            columnName = TEM_VALIDE; 
            externalType = VARCHAR2; 
            name = temValide; 
            valueClassName = NSString; 
            width = 1; 
        }
    ); 
    attributesUsedForLocking = (noCnu); 
    className = EOGenericRecord; 
    classProperties = (
        noCnu, 
        cSectionCnu, 
        cSousSectionCnu, 
        lcSectionCnu, 
        llSectionCnu, 
        groupeCnu, 
        temComposee, 
        temValide, 
        dCreation, 
        dModification
    ); 
    externalName = GRHUM.CNU; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {_nameInObjectStore = CNU; }; 
    name = GrhumCnu; 
    primaryKeyAttributes = (noCnu); 
}
